package ru.yandex.canvas.service.video.presets.configs;

import ru.yandex.canvas.service.video.presets.PresetDescription;

public enum AgeConfigFactory implements ConfigFactory {
    INSTANCE;

    @Override
    public AgeConfig create(PresetDescription description) {

        if (description.getAgePresent() != null && description.getAgePresent()) {
            return new AgeConfig(description);
        }

        return null;
    }
}
